package com.zxhl.modulemain.activity

import android.view.View
import com.zxhl.cms.common.base.BaseActivity
import com.zxhl.cms.net.SettingPreference
import com.zxhl.cms.router.RounterApi
import com.zxhl.cms.router.RounterBus
import com.zxhl.cms.utils.EventUtils
import com.zxhl.cms.utils.JumpUtils
import com.zxhl.cms.widget.CenterDialog
import com.zxhl.modulemain.R

/**
 * @author (wangXuewei)
 * @datetime 2022-08-05 11:49 GMT+8
 * @detail :
 */
class SplashActivity :BaseActivity() {
    override fun layoutID(): Int = R.layout.activity_layout_splash

    override fun onClick(v: View?) {

    }

    override fun init() {
        if (!isTaskRoot) {
            finish()
            return
        }
//        EventUtils.onEvent("app_start")
        JumpUtils.activityJump(
            RounterBus.getRounter(RounterApi::class.java).getIntentActivityMain()
        )
    }
}